import 'package:flutter/material.dart';
import 'package:flutter_helper/src/Utils/PlatformUtil.dart';

class ResponsiveScaffold extends StatelessWidget {
  final PreferredSizeWidget appBar;
  final Widget body;
  final double divider;
  final Color backgroundColor;

  ResponsiveScaffold({this.appBar, this.body, this.divider, this.backgroundColor}): super();

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      backgroundColor: backgroundColor,
      appBar: appBar,
      body: PlatformUtil().getResizedWidget(context, body, divider),
    );
  }
}
